package com.app.keyboard.colorful.activity

import android.content.Intent
import android.os.Bundle
import android.os.CountDownTimer
import android.widget.ProgressBar
import androidx.appcompat.app.AppCompatActivity
import com.app.keyboard.colorful.R
import com.app.keyboard.colorful.helper.CommonUtils
import com.app.keyboard.colorful.max.WelComManager
import kotlin.math.roundToInt

class ActivitySplash : AppCompatActivity() {

    private lateinit var progressBar: ProgressBar
    private var countTime = 12000L
    private lateinit var timer: CountDownTimer

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_splash)
        CommonUtils.initFullScreen(this, true)
        init()
        findView()
    }

    private fun init() {
        timer = WelComManager.initTimer(this@ActivitySplash, countTime, {
            val percentage: Float = 100 - it.toFloat() / countTime * 100
            val round = percentage.roundToInt()
            progressBar.progress = round
        }) {
            progressBar.progress = 100
            toHome()
        }

    }


    private fun findView() {
        progressBar = findViewById<ProgressBar>(R.id.nova_progress)
    }


    private fun toHome() {
        startActivity(Intent(this, ActivityMain::class.java))
        finish()
    }

    override fun onDestroy() {
        super.onDestroy()
        timer.cancel()
    }


}